{% extends 'configuration/basic_settings/basic_settings_configuration.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/basic_settings/city_expose/overview') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/basic_settings/city_expose/overview') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary fs-5 align-self-center">Grundeinstellungen</span>
        {% if account.getAccountConfiguration() != null and account.getAccountConfiguration().getCityExpose() != null %}
            <span class="ms-auto"></span>
            {% include 'component/mdc_context_menu_component.html.twig' with {
                'id': 'city_expose',
                'listItems': [
                    {
                        'label': 'Stadt-Exposé entfernen',
                        'url': path('configuration_basic_settings_city_expose_delete'),
                        'icon': 'delete_forever'
                    },
                ]
            } only %}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            <div class="p-3">
                <h2 class="mb-3 fs-3">Stadt-Exposé</h2>
                <p>
                    Hier können Sie ein Stadt-Exposé mit den wichtigsten Informationen zu Ihrem Standort hochladen.
                    Ist ein Stadt-Exposé hinterlegt, wird dieses gemeinsam mit dem Kurzexposé eines Objektes an ansiedlungswillige Unternehmen bzw. Konzeptanbietende versandt.
                </p>
                <p>Bitte laden Sie das Dokument als PDF-Dokument hoch.</p>
                <div class="row g-3 mt-1">
                    <div class="col-md-4 mb-3 h-100">
                        {% if account.getAccountConfiguration() != null and account.getAccountConfiguration().getCityExpose() != null %}
                            <a href="{{ path('file', {'fileUuid': account.getAccountConfiguration().getCityExpose().getFile().getUuid()}) }}" target="_blank">
                                <i class="material-icons display-1">cloud_download</i><br>
                                Stadt-Exposé<br><small>(hochgeladen am {{ account.getAccountConfiguration().getCityExpose().getCreatedAt().format('d.m.Y, H:i') }} Uhr)</small>
                            </a>
                        {% else %}
                            <div class="border p-5 text-center">Kein Stadtexposé hochgeladen</div>
                        {% endif %}
                    </div>
                    <div class="col-md-8 mb-3  h-100">
                        {% include 'component/dropzone_upload_component.html.twig' with {
                            'idPrefix': 'city_expose_pdf_upload_',
                            'uploadUrl': path('configuration_basic_settings_city_expose_pdf_upload'),
                            'redirectUrl': path('configuration_basic_settings_city_expose_overview')
                        } only %}
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
